var token = localStorage.getItem('token');
var userId = localStorage.getItem('userId');

var check = {
	/*
	 * 检查网络状态
	 */
	checkNet: function() {
		if(plus.networkinfo.getCurrentType() == plus.networkinfo.CONNECTION_NONE) {
			plus.nativeUI.toast("网络异常，请检查网络设置！2秒后退出app。", {
				verticalAlign: "center"
			});
			setTimeout(function() {
				plus.runtime.quit();
			}, 2000);
		}
	},
	/**
	 * 检查网络连接，断开提醒，没断开true
	 */
	checkNetIs: function() {
		document.addEventListener("netchange", function() {
			var network = plus.networkinfo.getCurrentType();
			console.log(network);
			localStorage.setItem("network", network);
			if(network < 2) {
				mui.toast('您的网络已断开, 请检查网络设置');
				return false;
			} else {
				window.location.reload();
				return true;
			}
			this.network = network;
		});
	},
	/**
	 *检查是否最新版本 
	 */
	checkUpdate: function(ver) {
			console.log("当前应用版本：" + ver);
			var client;
			var suc;
			if(mui.os.ios) {
				client = 'ios';
			} else {
				client = 'android';
			}
			$.ajax({
				data: {
					version: ver,
					client: client
				},
				url: "http://data.941.com.cn/crawler/reportapp/getAppVersion",
				dataType: "json",
				crossDomain: true,
				async : false,
				xhrFields: {
					withCredentials: true
				},
				success: function(data) {
					var vers;
					if(mui.os.ios) {
						vers = data[2].version;
					} else {
						vers = data[3].version;
					}
					if(compare(vers, ver)) {
						var btnArray = ['是', '否'];
						mui.confirm('最新version是：' + vers + ',是否更新', '发现最新版本', btnArray, function(z) {
							if(z.index == 0) {
								console.log('确定');
								if(data[0].client == client) {
									plus.runtime.openURL(data[0].url);
									console.log("当前应用版本：ios");
								} else {
									console.log("当前应用版本：a");
									plus.runtime.openURL(data[1].url);
								}
							} else {
								console.log('不确定');
							}
						});
		                suc= false; 
					} else {
						console.log("true")
		                suc= true; 
					}
				},
				error: function(xhr, type, errerThrown) {
					console.log(JSON.setPrototypeOf(xhr));
					mui.toast('网络异常,请稍候再试');
				}
			});
			return suc; 
	},
	/**
	 * 查询是否购买信用报告了
	 * @param {Object} reportid
	 * @param {Object} token
	 * @param {Object} userId
	 */
	checkPay: function(reportid, token, userId) {
		var url = 'http://data.941.com.cn/crawler/reportapp/getSingleReport'; //通过报告id，token,userid查询是否购买报告了
		mui.ajax(url, {
			data: {
				id: reportid,
				token: token,
				userId: userId
			},
			dataType: 'json',
			type: 'POST',
			success: function(data) {
				if(false) {
					var btnArray = ['是', '否'];
					mui.confirm('是否购买', '必须购买才能查看报告', btnArray, function(z) {
						if(z.index == 0) { //点击确认跳转页面
							console.log('确定');
							mui.openWindow({
								url: '../pay.html',
								id: 'pay.html',
								extras: {
									reportid: reportid
								}
							});

						} else {
							console.log('不确定');
							return;
						}
					});
				} else {
					console.log(data.token);
					mui.openWindow({
						url: '../reports/jingliren.html',
						id: 'jingliren.html',
						extras: {
							reportid: reportid
						}
					});
				}
			},
			error: function(xhr, type, errerThrown) {
				mui.toast('网络异常,请稍候再试');

			}
		});
	}

}

/**
 * 比较版本号大小
 * @param {Object} ver旧
 * @param {Object} vers新
 */
function compare(ver, vers) {
	if(ver && vers) {
		//将两个版本号拆成数字  
		var arr1 = ver.split('.'),
			arr2 = vers.split('.');
		var minLength = Math.min(arr1.length, arr2.length),
			position = 0,
			diff = 0;
		//依次比较版本号每一位大小，当对比得出结果后跳出循环（后文有简单介绍）  
		while(position < minLength && ((diff = parseInt(arr1[position]) - parseInt(arr2[position])) == 0)) {
			position++;
		}
		diff = (diff != 0) ? diff : (arr1.length - arr2.length);
		//若vers大于ver，则返回true  
		return diff > 0;
	} else {
		//输入为空  
		console.log("版本号不能为空");
		return false;
	}
}