/**
 * #2132fc
 * #588bfd
 */

var util = {

	/**
	 *  app专属ajax封装
	 * @param {m: "login",c: "index"} data 发送到服务器的数据，数组存储
	 * @param {"GET"} type 请求方式("POST" 或 "GET")， 默认为 "GET"
	 * @param {successfn} successfn 成功回调函数
	 * @param {errorfn} errorfn 失败回调函数
	 */
	appAjax: function(url, data, type, successfn, errorfn) {
		type = (type == null || type == "" || typeof(type) == "undefined") ? "post" : type;
		data = (data == null || data == "" || typeof(data) == "undefined") ? {
			"date": new Date().getTime()
		} : data;
		$.ajax({
			type: type,
			data: data,
			url: "http://data.941.com.cn/crawler/reportapp/" + url,
			dataType: "json",
			crossDomain: true,
			xhrFields: {
				withCredentials: true
			},
			success: function(d) {
				//console.log(JSON.stringify(d));
				if(d.code == "LOGIN:1000") {
					//mui.toast(d.msg);
					mui.openWindow({
						id: 'login.html',
						url: 'login.html'
					});
					return false;
				} else if(data.code == "LOGIN:1003") {
					mui.openWindow({
						id: 'login.html',
						url: 'login.html',
						waiting: {
							autoShow: false, //自动显示等待框，默认为true
						},
						show: {
							autoShow: true, //页面loaded事件发生后自动显示，默认为true
							aniShow: "fade-in", //页面显示动画，默认为”slide-in-right“；
							duration: 200
						}
					});
				}
				successfn(d);
			},
			error: function(e) {
				console.log(JSON.stringify(e));
				errorfn(e);
			}
		});
	},
	/**
	 * 格式化日期
	 * @param {Object} date
	 * @param {Object} format
	 */
	dateFormat: function(date, format) {
		var re = /^[0-9]+.?[0-9]*$/;
		if(typeof(date) == "undefined" || date == null || data == "") {
			//console.log(date);
			var str = "暂无数据";
			return str;
		} else if(!re.test(date)) {
			//console.log(date);
			var str = date;
			return str;
		} else {

			date = new Date(date);

			var map = {
				"M": date.getMonth() + 1, //月份   
				"d": date.getDate(), //日   
				"h": date.getHours(), //小时   
				"m": date.getMinutes(), //分   
				"s": date.getSeconds(), //秒   
				"q": Math.floor((date.getMonth() + 3) / 3), //季度   
				"S": date.getMilliseconds() //毫秒   
			};
			format = format.replace(/([yMdhmsqS])+/g, function(all, t) {
				var v = map[t];
				if(v !== undefined) {
					if(all.length > 1) {
						v = '0' + v;
						v = v.substr(v.length - 2);
					}
					return v;
				} else if(t === 'y') {
					return(date.getFullYear() + '').substr(4 - all.length);
				}
				return all;
			});
			return format;
		}
	},
	indexDataFalse: function(msg) {
		if(msg == "缺少参数") {
			mui.toast("还未登录");
			mui.openWindow({
				url: 'login.html',
				id: 'login.html',
				extras: {}
			});
			return;
		} else if(msg == "用户不存在") {
			mui.toast("登录已过期");
			plus.cache.clear(); //清空所有缓存
			var mywebview = plus.webview.getWebviewById('my.html');
			mui.fire(mywebview, 'logout', {});
			mui.openWindow({
				url: 'login.html',
				id: 'login.html',
				extras: {}
			});
			return;
		} else if(msg == "权限不足") {
			mui.toast(msg);
			var btnArray = ['是', '否'];
			mui.confirm('是否前往联系客服人员进行购买', '权限不足', btnArray, function(z) {
				if(z.index == 0) {
					console.log('确定');
					mui.openWindow({
						url: 'mine/lianxiwomen.html',
						id: 'lianxiwomen.html',
						extras: {}
					});
					return;
				} else {
					console.log('不确定');
					return;
				}
			});
			return;
		} else if(data.msg == "未知错误") {
			mui.toast("登录已过期");
			plus.cache.clear(); //清空所有缓存
			var mywebview = plus.webview.getWebviewById('my.html');
			mui.fire(mywebview, 'logout', {});
			mui.openWindow({
				url: 'login.html',
				id: 'login.html',
				extras: {}
				//isBars: false,
			});
			return;
		} else {
			mui.toast(msg,"集点失信查");
			return;
		}
	},
	childDataFalse: function(msg) {
		if(msg == "缺少参数") {
			mui.toast("还未登录");
			mui.openWindow({
				url: '../login.html',
				id: 'login.html',
				extras: {}
			});
			return;
		} else if(msg == "用户不存在") {
			mui.toast("登录已过期");
			plus.cache.clear(); //清空所有缓存
			var mywebview = plus.webview.getWebviewById('my.html');
			mui.fire(mywebview, 'logout', {});
			mui.openWindow({
				url: '../login.html',
				id: 'login.html',
				extras: {}
			});
			return;
		} else if(msg == "权限不足") {
			mui.toast(msg);
			var btnArray = ['是', '否'];
			mui.confirm('是否前往联系客服人员进行购买', '权限不足', btnArray, function(z) {
				if(z.index == 0) {
					console.log('确定');
					mui.openWindow({
						url: '../mine/lianxiwomen.html',
						id: 'lianxiwomen.html',
						extras: {}
					});
					return;
				} else {
					console.log('不确定');
					return;
				}
			});
			return;
		} else if(data.msg == "未知错误") {
			mui.toast("登录已过期");
			plus.cache.clear(); //清空所有缓存
			var mywebview = plus.webview.getWebviewById('my.html');
			mui.fire(mywebview, 'logout', {});
			mui.openWindow({
				url: '../login.html',
				id: 'login.html',
				extras: {}
				//isBars: false,
			});
			return;
		} else {
			mui.toast(msg,"集点失信查");
			return;
		}
	},
	/**
	 *  jq封装ajax
	 * @param {地址} url 发送请求的地址
	 * @param {参数} data 发送到服务器的数据，数组存储，如：{"date": new Date().getTime(), "state": 1}
	 * @param {"GET"} type 请求方式("POST" 或 "GET")， 默认为 "GET"
	 * @param {successfn} successfn 成功回调函数
	 * @param {errorfn} errorfn 失败回调函数
	 */
	jQueryAjax: function(url, data, type, successfn, async) {
		type = (type == null || type == "" || typeof(type) == "undefined") ? "post" : type;
		async = (type == null || type == "" || typeof(type) == "undefined") ? true: async;
		data = (data == null || data == "" || typeof(data) == "undefined") ? {
			"date": new Date().getTime()
		} : data;
		$.ajax({
			type: type,
			data: data,
			url: url,
			dataType: "json",
			contentType: 'application/x-www-form-urlencoded; charset=UTF-8', //防止乱码
			crossDomain: true,
			async: async,
			xhrFields: {
				withCredentials: true
			},
			success: function(d) {
				successfn(d);
			},
			error: function(e) {
				var re = JSON.stringify(e);
				console.log(url + '失败' + re);
				mui.alert("网络错误", "集点失信查");
			}
		});
	},
	/**
	 *  jq封装ajax
	 * @param {地址} url 发送请求的地址
	 * @param {参数} data 发送到服务器的数据，数组存储，如：{"date": new Date().getTime(), "state": 1}
	 * @param {"GET"} type 请求方式("POST" 或 "GET")， 默认为 "GET"
	 * @param {successfn} successfn 成功回调函数
	 * @param {errorfn} errorfn 失败回调函数
	 */
	jQueryAjaxError: function(url, data, type, successfn,err,async) {
		type = (type == null || type == "" || typeof(type) == "undefined") ? "post" : type;
		async = (type == null || type == "" || typeof(type) == "undefined") ? true: async;
		data = (data == null || data == "" || typeof(data) == "undefined") ? {
			"date": new Date().getTime()
		} : data;
		$.ajax({
			type: type,
			data: data,
			url: url,
			dataType: "json",
			contentType: 'application/x-www-form-urlencoded; charset=UTF-8', //防止乱码
			crossDomain: true,
			async: async,
			xhrFields: {
				withCredentials: true
			},
			success: function(d) {
				successfn(d);
			},
			error: function(e) {
				var re = JSON.stringify(e);
				console.log(url + '失败' + re);
				err(e);
			}
		});
	},
	/**
	 * 下载失信简报任务
	 * @param {Object} url
	 * @param {Object} name
	 */
	openFile: function(url, name) {
		//创建一个下载任务
		var dtask = null;
		if(dtask) {
			outLine("下载任务已创建！");
			return;
		}
		dtask = plus.downloader.createDownload(url, {
			filename: "_downloads/" + name
		});
		dtask.addEventListener("statechanged", function(task, status) {
			if(!dtask) {
				return;
			}
			switch(task.state) {
				case 1: // 开始
					mui.toast("开始下载...");
					break;
				case 2: // 已连接到服务器
					$("#simpleReportProgressbar").addClass("mui-progressbar");
					mui("#simpleReportProgressbar").progressbar({
						progress: 0
					}).show();
					console.log("链接到服务器...");
					break;
				case 3: // 已接收到数据
					var prog = task.downloadedSize / task.totalSize * 100;
					console.log(prog);
					mui("#simpleReportProgressbar").progressbar().setProgress(prog);
					break;
				case 4: // 下载完成
					mui.toast("下载完成！");
					console.log(JSON.stringify(task));
					mui("#simpleReportProgressbar").progressbar().hide();
					console.log(task.totalSize);
					var fileUrl = task.filename;
					plus.runtime.openFile(fileUrl, {}, function(e) {
						alert('打开失败');
					});
					break;
			}
		});
		if(!dtask) {
			mui.toast("请先创建下载任务！");
			return;
		}
		mui.toast("创建下载任务成功！");
		dtask.start();
		//				var dtask = plus.downloader.createDownload(url, {filename:"_downloads/"+name}, function(d, status) {
		//					if(status == 200) {
		//						var fileUrl = d.filename;
		//						plus.runtime.openFile(fileUrl, {}, function(e) {
		//							alert('打开失败');
		//						});
		//					} else {
		//						alert("Download failed: " + status);
		//					}
		//				});
		//				dtask.start();
	},
	ajaxReData: function(url, item, network) {
		var dataLocal;
		if(network >= 2) {
			util.jQueryAjax(url, {}, 'get', function(data) {
				console.log(url);
				localStorage.setItem(item, JSON.stringify(data)); //缓存
				dataLocal = JSON.parse(localStorage.getItem(item)); //读取缓存
			}, false);
		} else {
			dataLocal = JSON.parse(localStorage.getItem(item));
		}
		return dataLocal;
	},
	loadLocalStorage: function(item, network, str, insertId) {
		if(!localStorage.getItem(item)) {
			console.log("无缓存获取" + item + "缓存");
			jQuery(str).insertBefore(insertId);
		} else {
			if(network >= 2) {
				console.log("有缓存有网络获取" + item + "列表");
				jQuery(str).insertBefore(insertId);
			} else {
				console.log("有缓存无网络获取" + item + "缓存");
				jQuery(str).insertBefore(insertId);
			}
		}
	},
	loadLocalStorage2: function(item, network, str1, str2, insertId1, insertId2) {
		if(!localStorage.getItem(item)) {
			console.log("无缓存获取" + item + "缓存");
			jQuery(str1).insertBefore(insertId1);
			jQuery(str2).insertBefore(insertId2);
		} else {
			if(network >= 2) {
				console.log("有缓存有网络获取" + item + "列表");
				jQuery(str1).insertBefore(insertId1);
				jQuery(str2).insertBefore(insertId2);
			} else {
				console.log("有缓存无网络获取" + item + "缓存");
				jQuery(str1).insertBefore(insertId1);
				jQuery(str2).insertBefore(insertId2);
			}
		}
	},
	backSetBarBackground:function(openerId){
		var openerId = (openerId == null || openerId == "" || typeof(openerId) == "undefined") ? plus.webview.currentWebview().opener().id : openerId;
		var old_back = mui.back;  
		mui.back = function(){  
		    //显示上一个界面；
		    console.log(openerId)
		    if(openerId=="application.html"){
		    	plus.navigator.setStatusBarBackground("#FFFFFF"); 
		    	plus.navigator.setStatusBarStyle("dark");
		    }
		    if(openerId=="index.html" || openerId=="my.html"){
		    	plus.navigator.setStatusBarBackground("#2132fc");
		    	plus.navigator.setStatusBarStyle("light");
		    }
		    //继续当前页面原有返回逻辑  
		    old_back();  
		    plus.webview.currentWebview().close();
		}
	},
	inSetBarBackground:function(self){
		var bgcolor=self.color;
		bgcolor = (bgcolor == null || bgcolor == "" || typeof(bgcolor) == "undefined") ? "#FFFFFF" : bgcolor;
		if(bgcolor=="#FFFFFF"){
			plus.navigator.setStatusBarStyle("dark");
		}else{
			plus.navigator.setStatusBarStyle("light");
		}
		plus.navigator.setStatusBarBackground(bgcolor); //设置状态栏颜色
		
	},
	replaceKeyword:function(searchText){
		if(searchText!=""){
			var regExp = new RegExp(searchText, "g");//创建正则表达式，g表示全局的，如果不用g，则查找到第一个就不会继续向下查找了；
		    $(".li").each(function(){//遍历li类里的文字； 
		        var html = $(this).html();
		        var newHtml = html.replace(regExp, "<span style='color:red' >"+searchText+"</span>");//将找到的关键字替换，加上highlight属性；
		        $(this).html(newHtml);//更新文章；
		    });
		}
	}

}

/**   
 * 对日期进行格式化，   
 * @param date 要格式化的日期   
 * @param format 进行格式化的模式字符串  
 *     支持的模式字母有：   
 *     y:年,   
 *     M:年中的月份(1-12),   
 *     d:月份中的天(1-31),   
 *     h:小时(0-23),   
 *     m:分(0-59),   
 *     s:秒(0-59),   
 *     S:毫秒(0-999),  
 *     q:季度(1-4)  
 * @return String  
 * @author yanis.wang  
 * @see http://yaniswang.com/frontend/2013/02/16/dateformat-performance/  
 */
template.helper('dateFormat', function(date, format) {
	if(typeof(date) == "undefined") {
		str = "未公开"
		return str;
	} else {
		date = new Date(date);
		var map = {
			"M": date.getMonth() + 1, //月份   
			"d": date.getDate(), //日   
			"h": date.getHours(), //小时   
			"m": date.getMinutes(), //分   
			"s": date.getSeconds(), //秒   
			"q": Math.floor((date.getMonth() + 3) / 3), //季度   
			"S": date.getMilliseconds() //毫秒   
		};
		format = format.replace(/([yMdhmsqS])+/g, function(all, t) {
			var v = map[t];
			if(v !== undefined) {
				if(all.length > 1) {
					v = '0' + v;
					v = v.substr(v.length - 2);
				}
				return v;
			} else if(t === 'y') {
				return(date.getFullYear() + '').substr(4 - all.length);
			}
			return all;
		});
		return format;
	}
});
/**
 *推送方法 
 */
function igexinTool() {
	var isAndorid, PushManager, context, Instance, GeTuiSdk;

	if(plus.os.name == 'Android') {
		isAndorid = true;
	} else {
		isAndorid = false;
	}

	if(isAndorid) {
		PushManager = plus.android.importClass("com.igexin.sdk.PushManager");
		context = plus.android.runtimeMainActivity().getContext();
		Instance = PushManager.getInstance();
	} else {
		GeTuiSdk = plus.ios.importClass("GeTuiSdk");
	}

	this.bindAlias = function(alias) {
		if(isAndorid) {
			Instance.bindAlias(context, alias);
		} else {
			GeTuiSdk.bindAliasandSequenceNum(alias, alias);
		}
	}

	this.unbindAlias = function(alias) {
		if(isAndorid) {
			Instance.unBindAlias(context, alias, true);
		} else {
			GeTuiSdk.unbindAliasandSequenceNumandIsSelf(alias, alias, true);
		}
	}

	this.getVersion = function() {
		if(isAndorid) {
			return Instance.getVersion(context);
		} else {
			return GeTuiSdk.version;
		}
	}

	//开启推送
	this.turnOnPush = function() {
		if(isAndorid) {
			Instance.turnOnPush(context);
		} else {
			GeTuiSdk.setPushModeForOff(false);
		}
	}

	//关闭推送
	this.turnOffPush = function() {
		if(isAndorid) {
			Instance.turnOffPush(context);
		} else {
			GeTuiSdk.setPushModeForOff(true);
		}
	}

}

// --------  

var data = {
	time: (new Date).toString(),
};

/**
 * 截取新闻标题字符
 */
template.helper('subNewstitle', function(str) {
	if(12 >= str.toString().length && str.toString().length > 0) {
		str = str.toString().substring(0, 12);
		return str;
	} else if(23 >= str.toString().length && str.toString().length > 12) {
		str = str.toString().substring(0, 23);
		return str;
	} else {
		return str.toString().substring(0, 23) + "...";
	}

});
/**
 * 截取城市名
 */
template.helper('subCitystitle', function(str) {
	if(2 >= str.toString().length && str.toString().length > 0) {
		str = str.toString() + "市";
		return str;
	} else if(str.toString().length == 4) {
		str = str.toString().substring(0, 23);
		return "";
	} else {
		return str.toString();
	}

});

/**
 * 获取长度
 */
template.helper('getlength', function(s) {
	return s.length;
});

/**
 * 返回图标
 */
template.helper('icon', function(s) {
	if(s == "月度项目数") {
		return "icon-danweishu";
	} else if(s == "年度项目数") {
		return "icon-xiangmushu";
	} else if(s == "月度项目金额") {
		return "icon-iconMoney";
	} else if(s == "年度项目金额") {
		return "icon-yuezhan";
	}
});

/**
 * 判断包含某个字符串
 */
template.helper('isContains', function(str, substr) {
	return new RegExp(substr).test(str);
});
/**
 * 截取第一个字符
 */
template.helper('substring', function(str) {
	str = str.toString().substring(0, 1);
	return str;
});
/**
 * 截取前十个个字符
 */
template.helper('substringten', function(str) {
	if(str.toString().length > 18) {
		str = str.toString().substring(0, 17) + "...";
		return str;
	} else {
		return str;
	}

});
/**
 * 判断是否有数据
 */
template.helper('isnull', function(str) {
	if(typeof(str) == "undefined" || str == null || str == '') {
		str = "未公开"
		return str;
	} else {
		return str;
	}
});
/**
 * 判断是否有数据
 */
template.helper('isNull', function(str) {
	if(typeof(str) == "undefined" || str == null || str == '') {
		return false;
	} else {
		return true;
	}
});
/**
 * 判断是否有数据
 */
template.helper('isnullS', function(str) {
	if(typeof(str) == "undefined" || str == null || str == '') {
		str = "null"
		return str;
	} else {
		return str;
	}
});
/**
 * 判断是否有数据
 */
template.helper('isnullinfo', function(str) {
	if(typeof(str) == "undefined" || str == null || str == 'null' || str == '') {
		str = " - - "
		return str;
	} else {
		return str;
	}
});
/**
 * 返回随机颜色
 */
template.helper('getRandomColor', function() {
	return '#' + ('00000' + (Math.random() * 0x1000000 << 0).toString(16)).substr(-6);
});
/**
 * 返回数字处于10
 */
template.helper('getNumberTen', function(s) {
	var num = parseInt(s);
	if(num > 100) {
		return(num / 90) * 10;
	} else {
		return s;
	}

});
/**
 * 判断报告类型
 */
template.helper('isDownReport', function(s) {
	if(s == "信用报告 - 下载报告") {
		return true;
	} else {
		return false;
	}
});
/**
 * 判断支付状态
 */
template.helper('whatOrderStatus', function(s) {
	if(s == "wc-completed") {
		return "已支付";
	} else if(s == "wc-pending") {
		return "待付款";
	} else if(s == "wc-processing") {
		return "正在处理...";
	} else {

	}
});
/**
 * 判断报告类型
 */
template.helper('whatPaycat', function(s) {
	if(s == "征信报告") {
		return 0;
	} else if(s == "管理报告") {
		return 1;
	} else if(s == "信用报告 - 下载报告") {
		return 2;
	} else if(s == "研究报告") {
		return 4;
	} else if(s == "会员服务") {
		return 5;
	} else {
		return 3;
	}
});
/**
 * 截取前一行字符
 */
template.helper('substringOneP', function(str) {
	if(str.toString().length > 19) {
		str = str.toString().substring(0, 18) + "...";
		return str;
	} else {
		return str;
	}
});
/**
 * 截取前两行字符
 */
template.helper('substringTowP', function(str) {
	if(str.toString().length > 43) {
		str = str.toString().substring(0, 42) + "...";
		return str;
	} else {
		return str;
	}

});
/**
 * 返回数字格式
 */
template.helper('returnNum', function(s) {
	//console.log(parseInt(s)>0);
	return parseInt(s) > 0;

});